﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace 抽稀
{
    /// <summary>
    /// SampleChart.xaml 的交互逻辑
    /// </summary>
    public partial class SampleChart : UserControl
    {
        public SampleChart()
        {
            InitializeComponent();
        }

        public List<Point> Points
        {
            get { return (List<Point>)GetValue(PointsProperty); }
            set { SetValue(PointsProperty, value); }
        }

        public static readonly DependencyProperty PointsProperty =
            DependencyProperty.Register("Points", typeof(List<Point>), typeof(SampleChart), new PropertyMetadata(null, new PropertyChangedCallback(OnPointChanged)));

        private static void OnPointChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            if (e.NewValue != null)
            {
                var panel = d as SampleChart;
                var list = e.NewValue as List<Point>;
                panel.c1.Points.Clear();
                foreach (var item in list)
                {
                    panel.c1.Points.Add(item);
                }
            }

        }
    }
}
